Skip to content

getProcesses

READ

Get processes.

POST /api/v1/resources/getProcesses
curl -X POST '<your-host>/api/v1/resources/getProcesses' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "active": true,
      "batchable": true,
      "batchRules": "…",
      "batchType": "Sequential",
      "companyId": "string",
      "completeAllOnScan": true,
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "defaultStandardFactor": "Hours/Piece",
      "id": "string",
      "name": "string",
      "processType": "Process",
      "requiresAbility": true,
      "suppliers": "…",
      "tags": [
        "string"
      ],
      "updatedAt": "string",
      "updatedBy": "string",
      "workCenters": [
        "string"
      ]
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}